<span>Configured clients</span>
<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div class="table-container">
            <table *ngIf="clientConfigurations.length > 0" mat-table [dataSource]="clientConfigurations" class="mat-elevation-z8">
                <ng-container matColumnDef="clientName">
                  <th mat-header-cell *matHeaderCellDef>Client name</th>
                  <td mat-cell *matCellDef="let client"> {{client.clientName}} </td>
                </ng-container>
                <ng-container matColumnDef="host">
                  <th mat-header-cell *matHeaderCellDef>Host</th>
                  <td mat-cell *matCellDef="let client"> {{client.host}} </td>
                </ng-container>
                <ng-container matColumnDef="port">
                  <th mat-header-cell *matHeaderCellDef>Port</th>
                  <td mat-cell *matCellDef="let client"> {{client.port}} </td>
                </ng-container>
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </div>
        <span *ngIf="clientConfigurations.length == 0">No clients configured</span>
    </mat-card-content>
    <mat-card-footer></mat-card-footer>
</mat-card>
<app-error-area [hidden]="!errorAreaVisible" [definedExecutionErrors]="[]" class="mb-3"></app-error-area>
<span>Add client</span>
<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div class="row" [formGroup]="addClientFormGroup">
            <div class="col-xl-6">
                <mat-form-field>
                    <mat-label>Client name</mat-label>
                    <input matInput type="text" formControlName="clientName">
                </mat-form-field>
            </div>
            <div class="col-xl-3">
                <mat-form-field>
                    <mat-label>Host</mat-label>
                    <input matInput type="text" formControlName="host">
                </mat-form-field>
            </div>
            <div class="col-xl-3">
                <mat-form-field>
                    <mat-label>Port</mat-label>
                    <input matInput type="number" formControlName="port">
                </mat-form-field>
            </div>
        </div>
        <div [formGroup]="addClientFormGroup">
            <mat-slide-toggle class="pb-3" formControlName="persist">Persist</mat-slide-toggle>
        </div>
        <div>
            <button mat-raised-button color="primary" (click)="addClientConfiguration()">Add client</button>
        </div>
    </mat-card-content>
    <mat-card-footer></mat-card-footer>
</mat-card>
<span>Delete client</span>
<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div class="row" [formGroup]="deleteClientFormGroup">
            <div class="col-xl-6">
                <mat-form-field>
                    <mat-label>Client name</mat-label>
                    <input matInput type="text" formControlName="clientName">
                </mat-form-field>
            </div>
        </div>
        <div [formGroup]="deleteClientFormGroup">
            <mat-slide-toggle class="pb-3" formControlName="remove">Remove</mat-slide-toggle>
        </div>
        <div>
            <button mat-raised-button color="primary" (click)="deleteClientConfiguration()">Delete client</button>
        </div>
    </mat-card-content>
    <mat-card-footer></mat-card-footer>
</mat-card>